org.apache.ignite.internal.processors.cluster

## Class ClusterProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.cluster.ClusterProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class ClusterProcessor
    extends GridProcessorAdapter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`ClusterProcessor(GridKernalContext ctx)`

### Method Summary

Methods
`IgniteFuture<?>` `clientReconnectFuture()`
`Serializable` `collectDiscoveryData(UUID nodeId)` Gets discovery data object that will be sent to new node during discovery process.
`void` `disableUpdateNotifier()` Disables update notifier.
`GridComponent.DiscoveryDataExchangeType` `discoveryDataType()` Gets unique component type to distinguish components providing discovery data.
`IgniteClusterImpl` `get()`
`String` `latestVersion()`
`void` `onDiscoveryDataReceived(UUID joiningNodeId, UUID rmtNodeId, Serializable data)` Receives discovery data object from remote nodes (called on new node during discovery process).
`void` `onKernalStart()` Callback that notifies that kernal has successfully started, including all managers and processors.
`void` `stop(boolean cancel)` Stops grid component.
`boolean` `updateNotifierEnabled()`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, onDisconnected, onKernalStop, onReconnected, printMemoryStats, start, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterProcessor

    public ClusterProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### get

    public IgniteClusterImpl get()

Returns:
  Cluster.

#### clientReconnectFuture

    public IgniteFuture<?> clientReconnectFuture()

Returns:
  Client reconnect future.

#### discoveryDataType

    @Nullable
    public GridComponent.DiscoveryDataExchangeType discoveryDataType()

Gets unique component type to distinguish components providing discovery data. Must return non-null value if component implements method `GridComponent.collectDiscoveryData(UUID)`.

Specified by:
  `discoveryDataType` in interface `GridComponent`
Overrides:
  `discoveryDataType` in class `GridProcessorAdapter`
Returns:
  Unique component type for discovery data exchange.

#### collectDiscoveryData

    @Nullable
    public Serializable collectDiscoveryData(UUID nodeId)

Gets discovery data object that will be sent to new node during discovery process.

Specified by:
  `collectDiscoveryData` in interface `GridComponent`
Overrides:
  `collectDiscoveryData` in class `GridProcessorAdapter`
Parameters:
  `nodeId` - ID of new node that joins topology.
Returns:
  Discovery data object or `null` if there is nothing to send for this component.

#### onDiscoveryDataReceived

    public void onDiscoveryDataReceived(UUID joiningNodeId,
                               UUID rmtNodeId,
                               Serializable data)

Receives discovery data object from remote nodes (called on new node during discovery process).

Specified by:
  `onDiscoveryDataReceived` in interface `GridComponent`
Overrides:
  `onDiscoveryDataReceived` in class `GridProcessorAdapter`
Parameters:
  `joiningNodeId` - Joining node ID.
  `rmtNodeId` - Remote node ID for which data is provided.
  `data` - Discovery data object or `null` if nothing was

#### onKernalStart

    public void onKernalStart()
                       throws IgniteCheckedException

Callback that notifies that kernal has successfully started, including all managers and processors.

Specified by:
  `onKernalStart` in interface `GridComponent`
Overrides:
  `onKernalStart` in class `GridProcessorAdapter`
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### stop

    public void stop(boolean cancel)
              throws IgniteCheckedException

Stops grid component.

Specified by:
  `stop` in interface `GridComponent`
Overrides:
  `stop` in class `GridProcessorAdapter`
Parameters:
  `cancel` - If `true`, then all ongoing tasks or jobs for relevant components need to be cancelled.
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### disableUpdateNotifier

    public void disableUpdateNotifier()

Disables update notifier.

#### updateNotifierEnabled

    public boolean updateNotifierEnabled()

Returns:
  Update notifier status.

#### latestVersion

    public String latestVersion()

Returns:
  Latest version string.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016